<!DOCTYPE HTML>
<!--
	Identity by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title>Radio Free Elsewhere</title>
		
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<meta property="og:title" content="Radio Free Elsewhere" />
		<meta property="og:description" content="Something different. Somewhere else." />
		<meta property="og:type" content="website" />
		<meta property="og:url" content="https://cyberpunklibrarian.nohost.me/rfe/" />
		<meta property="og:image" content="https://cyberpunklibrarian.nohost.me/rfe/images/rfe-social.jpg" />
		<meta name="twitter:title" content="Radio Free Elsewhere">
		<meta name="twitter:description" content="Something different. Somewhere else.">
		<meta name="twitter:image" content="https://cyberpunklibrarian.nohost.me/rfe/images/rfe-social.jpg">
		<meta name="twitter:card" content="summary_large_image">

		<link rel="stylesheet" href="assets/css/rfe.css" />
		<noscript><link rel="stylesheet" href="assets/css/noscript.css" /></noscript>

		<style>
		        #now-playing {
		            font-family: Arial, sans-serif;
		            font-size: .5em;
		            padding: 10px;
		            background-color: #46494A;
		            color: #97C9D3;
		            border-radius: 5px;
		            display: inline-block;
		        }
		    </style>
		
	</head>
	<body class="is-preload">

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Main -->
					<section id="main">
						<header>
							<span class="avatar"><img src="images/avatar-rfe.jpg" alt="" /></span>
							<h1>RADIO FREE<br />ELSEWHERE</h1>
							<p>SOMETHING DIFFERENT<br />SOMEWHERE ELSE</p>
							<hr>
							<h2>UPCOMING</h2>
							<p>Check back later for upcoming streams!</p>
							<hr>
							<audio controls src="https://radio.cyberpunklibrarian.nohost.me/rfe"></audio>
							<br />
							Now playing<br />
							<div id="now-playing">Loading current song...</div>

							<script>
										    function fetchNowPlaying() {
										        fetch('now_playing.php')
										            .then(response => response.text())
										            .then(data => {
										                document.getElementById('now-playing').innerHTML = data;
										            })
										            .catch(error => {
										                document.getElementById('now-playing').innerHTML = "Unable to load song data.";
										                console.error('Error fetching song data:', error);
										            });
										    }
										
										    // Fetch immediately and then every 15 seconds
										    fetchNowPlaying();
										    setInterval(fetchNowPlaying, 15000);
										</script>

							<hr><p></p>
							<p>Add <a href="https://radio.cyberpunklibrarian.nohost.me/rfe"><span style="text-decoration: underline;">Radio Free Elsewhere</span></a> to VLC or your favourite Internet radio streaming app.<br /></p>
							<hr>
							<h2>- SHOWS -</h2>
							<p><span style="font-size: 13px;">Cosmoephoria - Audio psychedelia.</span></p>
							<p><span style="font-size: 13px;">O'Morain's Pub - Celtic folk from Ireland, Scotland, Brittany, and beyond.</span></p>
							<p><span style="font-size: 13px;">Bisexual Surfers from the Twilight of Time - Pyscho surf rock.</span></p>
						</header>
						<footer>
						</footer>
					</section>

				<!-- Footer -->
					<footer id="footer">
						<ul class="copyright">
							<li>Tanglewood Hill Studio</li><li><a href="http://html5up.net">HTML5 UP</a></li><li><a href="https://cyberpunklibrarian.nohost.me/gitlab/code/radio-free-elsewhere">GitLab</a></li><li><a href="https://icecast.org">Icecast</a></li>
						</ul>
					</footer>

			</div>

		<!-- Scripts -->
			<script>
				if ('addEventListener' in window) {
					document.addEventListener('DOMContentLoaded', function() { document.body.className = document.body.className.replace(/\bis-preload\b/, ''); });
					document.body.className += (navigator.userAgent.match(/(MSIE|rv:11\.0)/) ? ' is-ie' : '');
				}
			</script>

	</body>
</html>
